unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, dbisamtb, StdCtrls, Grids, DBGrids, SMIBase, SMI2Cell,
  SMI2DB;

type
  TfrmMain = class(TForm)
    DBISAMTable1: TDBISAMTable;
    dSrcCountry: TDataSource;
    dbgCountry: TDBGrid;
    btnImport: TButton;
    SMImportFromParadox1: TSMImportFromParadox;
    procedure FormCreate(Sender: TObject);
    procedure btnImportClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  DBISAMTable1.DatabaseName := ExtractFilePath(Application.ExeName);
  DBISAMTable1.Open;
end;

procedure TfrmMain.btnImportClick(Sender: TObject);
begin
  {destination dataset}
  SMImportFromParadox1.DataSet := DBISAMTable1;
  SMImportFromParadox1.DataSetKeys := 'NAME';

  {file with records (we must load)}
  SMImportFromParadox1.SourceFileName := ExtractFilePath(Application.ExeName) + 'country.db';

  {import mode}
  SMImportFromParadox1.Mode := imAppendUpdate;

  {define the correspondence between field names (in DBISAM and Paradox)

  NOTE:
  if field names are same, we can leave empty
  Defined below for sample only}
  SMImportFromParadox1.Mappings.Clear;
  SMImportFromParadox1.Mappings.Add('Name=Name');
  SMImportFromParadox1.Mappings.Add('Capital=Capital');
  SMImportFromParadox1.Mappings.Add('Continent=Continent');
  SMImportFromParadox1.Mappings.Add('Area=Area');
  SMImportFromParadox1.Mappings.Add('Population=Population');

  {start a process}
  SMImportFromParadox1.Execute;
end;

end.
